{
	"archive" : {},
	"artifacts" : 
	[
		{
			"path" : "app/libapp_lib.a"
		}
	],
	"backtrace" : 4,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"_qt_internal_add_library",
			"qt6_add_library",
			"qt_add_library",
			"add_custom_command",
			"qt6_extract_metatypes",
			"qt6_finalize_target",
			"add_compile_definitions",
			"project",
			"include_directories",
			"target_include_directories",
			"target_sources"
		],
		"files" : 
		[
			"/home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake",
			"app/CMakeLists.txt",
			"/home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake:923:EVAL",
			".qtcreator/cmake-helper/qtcreator-project.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 13,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 2920,
				"parent" : 1
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 2806,
				"parent" : 2
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 2893,
				"parent" : 3
			},
			{
				"file" : 1,
				"line" : -1,
				"parent" : 0
			},
			{
				"command" : 6,
				"file" : 2,
				"line" : 1,
				"parent" : 5
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 909,
				"parent" : 6
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 1542,
				"parent" : 7
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 1484,
				"parent" : 7
			},
			{
				"file" : 4
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 2,
				"parent" : 10
			},
			{
				"file" : 3,
				"parent" : 11
			},
			{
				"command" : 7,
				"file" : 3,
				"line" : 81,
				"parent" : 12
			},
			{
				"command" : 9,
				"file" : 4,
				"line" : 15,
				"parent" : 10
			},
			{
				"command" : 9,
				"file" : 1,
				"line" : 7,
				"parent" : 0
			},
			{
				"command" : 10,
				"file" : 1,
				"line" : 27,
				"parent" : 0
			},
			{
				"command" : 11,
				"file" : 0,
				"line" : 1579,
				"parent" : 7
			}
		]
	},
	"codemodelVersion" : 
	{
		"major" : 2,
		"minor" : 10
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -std=gnu++17 -fPIC -fdiagnostics-color=always"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 13,
					"define" : "QT_QML_DEBUG"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include"
				},
				{
					"backtrace" : 14,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app"
				},
				{
					"backtrace" : 15,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller"
				},
				{
					"backtrace" : 16,
					"path" : "/home/k4/Qt/6.10.2/gcc_64/include/QtCore"
				},
				{
					"backtrace" : 16,
					"path" : "/home/k4/Qt/6.10.2/gcc_64/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					4
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				3,
				5,
				7,
				9,
				11,
				13
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "app_lib_autogen_timestamp_deps::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 0,
			"id" : "app_lib_autogen::@5f5a17c01335469806cb"
		}
	],
	"id" : "app_lib::@5f5a17c01335469806cb",
	"name" : "app_lib",
	"nameOnDisk" : "libapp_lib.a",
	"orderDependencies" : 
	[
		{
			"backtrace" : 8,
			"id" : "Qt6::moc::@6890427a1f51a3e7e1df"
		},
		{
			"backtrace" : 9,
			"id" : "Qt6::cmake_automoc_parser::@6890427a1f51a3e7e1df"
		},
		{
			"id" : "app_lib_autogen_timestamp_deps::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 0,
			"id" : "app_lib_autogen::@5f5a17c01335469806cb"
		}
	],
	"paths" : 
	{
		"build" : "app",
		"source" : "app"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files\\Generated",
			"sourceIndexes" : 
			[
				0,
				16
			]
		},
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				1,
				3,
				5,
				7,
				9,
				11,
				13
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				2,
				4,
				6,
				8,
				10,
				12,
				14
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				15
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				17,
				18,
				19
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "app/app_lib_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/main.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/filter.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/filter.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/pwm.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/pwm.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/climate-algorithm.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/climate-algorithm.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/pid.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/pid.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/datamodel.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/datamodel.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/dataset.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/dataset.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "app/text-templates.h",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 17,
			"isGenerated" : true,
			"path" : "app/meta_types/qt6app_lib_metatypes.json.gen",
			"sourceGroupIndex" : 3
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "app/app_lib_autogen/timestamp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "app/meta_types/qt6app_lib_metatypes.json.gen.rule",
			"sourceGroupIndex" : 4
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "app/app_lib_autogen/timestamp.rule",
			"sourceGroupIndex" : 4
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "app/meta_types/app_lib_json_file_list.txt.rule",
			"sourceGroupIndex" : 4
		}
	],
	"type" : "STATIC_LIBRARY"
}
